function replacementFDescription(filterId, filterProducer, languageName)
{
	httpObject = getHTTPObject();
	if (httpObject != null) {
	    var url = "../../../Ajax/ReplacementFilterDescription.aspx?filterId=" + filterId + "&producer=" + filterProducer + "&languageName=" + languageName;
  			    httpObject.open("GET", url, true);
  			    httpObject.onreadystatechange = function() {
  			    if (httpObject.readyState == 4) {
  			        jQuery("#contentHolderInner").html(jQuery("#contentHolderInner").html = httpObject.responseText);
					var filterNumber = jQuery("#searchRightSideTopLeft > h3 span").html();
					if (filterProducer == 'f') {
						var filterImg = new Image();
						filterImg.src = "../../Content/images/filters/Filtron/" + filterNumber + ".jpg";
						filterImg.onload = function() {
							jQuery("#searchRightSideTopRightFiltron > img").attr('src', '../../Content/images/filters/Filtron/' + filterNumber + '.jpg');
							jQuery("#searchRightSideTopRightFiltron a").attr('title', filterNumber);
						}
						filterImg.onerror = function() {
							if (languageName == 'polish') {
								jQuery("#searchRightSideTopRightFiltron > img").attr('src', '../../Content/images/temp/example_filter_polish.png');
								jQuery("#searchRightSideTopRightFiltron a").hide();
								jQuery("#searchRightSideTopRightFiltron a span").hide();
							}
							if (languageName == 'english') {
								jQuery("#searchRightSideTopRightFiltron > img").attr('src', '../../Content/images/temp/example_filter_english.png');
								jQuery("#searchRightSideTopRightFiltron a").hide();
								jQuery("#searchRightSideTopRightFiltron a span").hide();
							}
						}
					}
					
					if (filterProducer == 'w') {
						var filterImgWix = new Image();
						filterImgWix.src = "../../Content/images/filters/thumbnails/" + filterNumber + ".png";
						filterImgWix.onload = function() {
							jQuery("#searchRightSideTopRight > img").attr('src', '../../Content/images/filters/thumbnails/' + filterNumber + '.png');
							jQuery("#searchRightSideTopRight a").attr('title', filterNumber);
						}
						filterImgWix.onerror = function() {
							if (languageName == 'polish') {
								jQuery("#searchRightSideTopRight > img").attr('src', '../../Content/images/temp/example_filter_polish.png');
								jQuery("#searchRightSideTopRight a").hide();
								jQuery("#searchRightSideTopRight a span").hide();
							}
							if (languageName == 'english') {
								jQuery("#searchRightSideTopRight > img").attr('src', '../../Content/images/temp/example_filter_english.png');
								jQuery("#searchRightSideTopRight a").hide();
								jQuery("#searchRightSideTopRight a span").hide();
							}
						}
					}
					
  			        jQuery("#ajaxStatementInfo").hide();
  			        } //if state
  			    }  	//func
  				httpObject.send(null);
  	}	//if
}